﻿using System;
using Infragistics;
using MonoTouch.Foundation;

namespace CustomSparklineColumn_Xamarin
{
	public class IGSparklineColumnCell : IGGridViewCell
	{
		IGSparklineViewDataSourceHelper _helper;
		IGSparklineView _sparkline;

		public IGSparklineColumnCell (string reuseID) : base(reuseID)
		{
			_sparkline = new IGSparklineView ();
			_sparkline.DisplayType = IGSparklineDisplayType.IGSparklineDisplayTypeWinLoss;
			_sparkline.LineThickness = 2.0;
			this.AddSubview (this._sparkline);
		}
		// keeps the sparkline correctly sized.
		public override void SetupSize (System.Drawing.SizeF size)
		{
			float padding = 5.0f;
			this._sparkline.Frame = new System.Drawing.RectangleF (0, 
				padding, 
				size.Width, 
				size.Height - (padding * 2));
		}
		// makes a datasource helper and assigns to chart.
		internal void SetUpCell(TeamSeasonData data)
		{
			NSObject[] dataArray = data.RecordData;
			_helper = new IGSparklineViewDataSourceHelper (dataArray);
			_sparkline.DataSource = _helper;
		}
		// since this is the only object holding onto the _helper, we can just nil it out here to ensure destruction.
		public override void CellDetached ()
		{
			base.CellDetached ();
			_helper = null;
		}
	}
}

