﻿using System;
using Infragistics;

namespace CustomSparklineColumn_Xamarin
{
	public class IGSparklineColumnDefinition : IGGridViewColumnDefinition
	{
		public IGSparklineColumnDefinition (string key) : base (key)
		{
		}
		// creates a sparkline cell and tell that cell to hook itself up to data
		public override IGGridViewCell CreateCell (IGGridView gridView, IGCellPath path, IGGridViewDataSourceHelper dataSource)
		{
			// first we see if we can grab a cell from the recycler
			IGSparklineColumnCell cell = (IGSparklineColumnCell)gridView.DequeueReusableCell ("sparklineCell");
			if (cell == null) {
				// nope, make a new one
				cell = new IGSparklineColumnCell ("sparklineCell");
			}
			// tell the cell to set itself up with the data object
			cell.SetUpCell( (TeamSeasonData) dataSource.ResolveDataObjectForRow(path));
			return cell;
		}
	}
}

